Package de.tudresden.sumo.subscription

## Class ContextSubscription

- java.lang.Object
- - de.tudresden.sumo.subscription.ContextSubscription

- All Implemented Interfaces:
    `Subscription`

      public class ContextSubscription
      extends Object
      implements Subscription

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LinkedList<Integer>` | `commands` |
    `SubscriptionContext` | `context` |
    `SumoDomain` | `contextDomain` |
    `double` | `contextRange` |
    `String` | `objectID` |
    `double` | `start` |
    `double` | `stop` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextSubscription()` |
    `ContextSubscription​(SubscriptionContext context, double start, double stop, String objectID, SumoDomain contextDomain, double contextRange)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCommand​(int cmd)` |
    `Command` | `getCommand()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          public SubscriptionContext context

    - #### start

          public double start

    - #### stop

          public double stop

    - #### objectID

          public String objectID

    - #### contextDomain

          public SumoDomain contextDomain

    - #### contextRange

          public double contextRange

    - #### commands

          public LinkedList<Integer> commands

  - ### Constructor Detail

    - #### ContextSubscription

          public ContextSubscription()

    - #### ContextSubscription

          public ContextSubscription​(SubscriptionContext context,
                                     double start,
                                     double stop,
                                     String objectID,
                                     SumoDomain contextDomain,
                                     double contextRange)

  - ### Method Detail

    - #### addCommand

          public void addCommand​(int cmd)

    - #### getCommand

          public Command getCommand()

      Specified by:
        `getCommand` in interface `Subscription`